System.usbDiskModeActivate()

red = Color.new(255, 0, 0)
green = Color.new(0, 255, 0)
blue = Color.new(0, 0, 255)
black = Color.new(0, 0, 0)
white = Color.new(255, 255, 255)
gray = Color.new(128, 128, 128)
cyan = Color.new(100, 255, 255)  
d = 0
val = 0
timer = 0
heben = 0
stop = 0
tut = 0
kubus = 0
ti = 5
rotate = 0
rotate2 = 0
rotate3 = 180
stereo = 0
current = 1
bildtimer = 0
server = 0
licht = "an"

function Gu.blit(x, y, image, scale, flip)

   if scale then
      if type(scale) == "string" then
         flip = scale
         scale = 1
      else
         scale = (scale/1000)
      end
   end

   if flip then
      if flip == "H" then
         x_start = image:width()
         y_start = 0
         x_end  = 0
         y_end = image:height()
      elseif  flip == "V" then
         x_start = 0
         y_start = image:height()
         x_end  = image:width()
         y_end = 0
      elseif flip == "HV" then
         x_start = image:width()
         y_start = image:height()
         x_end = 0
         y_end = 0
      end
   else
      x_start = 0
      y_start = 0
      x_end = image:width()
      y_end = image:height()
   end

   temp = {
   {x_start, y_start, 0+x, 0+y, 0},
   {x_end, y_end, (image:width()*scale)+x, (image:height()*scale)+y, 0}
   }
   Gu.enable(Gu.TEXTURE_2D)
   Gu.texImage(image)
   Gum.drawArray(Gu.SPRITES, Gu.TEXTURE_32BITF+Gu.VERTEX_32BITF+Gu.TRANSFORM_2D, temp)
end

--dach =Image.load("tex/dach.png")



ux = 0.8
uz = 20
uy = -2
number = 0

cube = {
	{0, 0, white, -1, -1,  1},  -- 0
	{1, 0, white, -1,  1,  1},  -- 4
	{1, 1, white,  1,  1,  1},  -- 5

	{0, 0, white, -1, -1,  1},  -- 0
	{1, 1, white,  1,  1,  1},  -- 5
	{0, 1, white,  1, -1,  1},  -- 1

	{0, 0, white, -1, -1, -1},  -- 3
	{1, 0, white,  1, -1, -1},  -- 2
	{1, 1, white,  1,  1, -1},  -- 6

	{0, 0, white, -1, -1, -1},  -- 3
	{1, 1, white,  1,  1, -1},  -- 6
	{0, 1, white, -1,  1, -1},  -- 7

	{0, 0, white,  1, -1, -1},  -- 0
	{1, 0, white,  1, -1,  1},  -- 3
	{1, 1, white,  1,  1,  1},  -- 7

	{0, 0, white,  1, -1, -1},  -- 0
	{1, 1, white,  1,  1,  1},  -- 7
	{0, 1, white,  1,  1, -1},  -- 4

	{0, 0, white, -1, -1, -1},  -- 0
	{1, 0, white, -1,  1, -1},  -- 3
	{1, 1, white, -1,  1,  1},  -- 7

	{0, 0, white, -1, -1, -1},  -- 0
	{1, 1, white, -1,  1,  1},  -- 7
	{0, 1, white, -1, -1,  1},  -- 4

	{0, 0, white, -1,  1, -1},  -- 0
	{1, 0, white,  1,  1, -1},  -- 1
	{1, 1, white,  1,  1,  1},  -- 2

	{0, 0, white, -1,  1, -1},  -- 0
	{1, 1, white,  1,  1,  1},  -- 2
	{0, 1, white, -1,  1,  1},  -- 3

	{0, 0, white, -1, -1, -1},  -- 4
	{1, 0, white, -1, -1,  1},  -- 7
	{1, 1, white,  1, -1,  1},  -- 6

	{0, 0, white, -1, -1, -1},  -- 4
	{1, 1, white,  1, -1,  1},  -- 6
	{0, 1, white,  1, -1, -1},  -- 5
}

----------------------------------------------

cube2 = {
	{0, 0, white, -0.5, -0.5,  0.5},  -- 0
	{1, 0, white, -0.5,  0.5,  0.5},  -- 4
	{1, 1, white,  0.5,  0.5,  0.5},  -- 5

	{0, 0, white, -0.5, -0.5,  0.5},  -- 0
	{1, 1, white,  0.5,  0.5,  0.5},  -- 5
	{0, 1, white,  0.5, -0.5,  0.5},  -- 1

	{0, 0, white, -0.5, -0.5, -0.5},  -- 3
	{1, 0, white,  0.5, -0.5, -0.5},  -- 2
	{1, 1, white,  0.5,  0.5, -0.5},  -- 6

	{0, 0, white, -0.5, -0.5, -0.5},  -- 3
	{1, 1, white,  0.5,  0.5, -0.5},  -- 6
	{0, 1, white, -0.5,  0.5, -0.5},  -- 7

	{0, 0, white,  0.5, -0.5, -0.5},  -- 0
	{1, 0, white,  0.5, -0.5,  0.5},  -- 3
	{1, 1, white,  0.5,  0.5,  0.5},  -- 7

	{0, 0, white,  0.5, -0.5, -0.5},  -- 0
	{1, 1, white,  0.5,  0.5,  0.5},  -- 7
	{0, 1, white,  0.5,  0.5, -0.5},  -- 4

	{0, 0, white, -0.5, -0.5, -0.5},  -- 0
	{1, 0, white, -0.5,  0.5, -0.5},  -- 3
	{1, 1, white, -0.5,  0.5,  0.5},  -- 7

	{0, 0, white, -0.5, -0.5, -0.5},  -- 0
	{1, 1, white, -0.5,  0.5,  0.5},  -- 7
	{0, 1, white, -0.5, -0.5,  0.5},  -- 4

	{0, 0, white, -0.5,  0.5, -0.5},  -- 0
	{1, 0, white,  0.5,  0.5, -0.5},  -- 1
	{1, 1, white,  0.5,  0.5,  0.5},  -- 2

	{0, 0, white, -0.5,  0.5, -0.5},  -- 0
	{1, 1, white,  0.5,  0.5,  0.5},  -- 2
	{0, 1, white, -0.5,  0.5,  0.5},  -- 3

	{0, 0, white, -0.5, -0.5, -0.5},  -- 4
	{1, 0, white, -0.5, -0.5,  0.5},  -- 7
	{1, 1, white,  0.5, -0.5,  0.5},  -- 6

	{0, 0, white, -0.5, -0.5, -0.5},  -- 4
	{1, 1, white,  0.5, -0.5,  0.5},  -- 6
	{0, 1, white,  0.5, -0.5, -0.5},  -- 5
}

--------------------------------------------

cube3 = {
	{0, 0, white, -1, -1,  1},  -- 0
	{1, 0, white, -1,  1,  1},  -- 4
	{1, 1, white,  1,  1,  1},  -- 5

	{0, 0, white, -1, -1,  1},  -- 0
	{1, 1, white,  1,  1,  1},  -- 5
	{0, 1, white,  1, -1,  1},  -- 1

	--{0, 0, white, -1, -1, -1},  -- 3
	--{1, 0, white,  1, -1, -1},  -- 2
	--{1, 1, white,  1,  1, -1},  -- 6

	--{0, 0, white, -1, -1, -1},  -- 3
	--{1, 1, white,  1,  1, -1},  -- 6
	--{0, 1, white, -1,  1, -1},  -- 7

	{0, 0, white,  1, -1, -1},  -- 0
	{1, 0, white,  1, -1,  1},  -- 3
	{1, 1, white,  1,  1,  1},  -- 7

	{0, 0, white,  1, -1, -1},  -- 0
	{1, 1, white,  1,  1,  1},  -- 7
	{0, 1, white,  1,  1, -1},  -- 4

	{0, 0, white, -1, -1, -1},  -- 0
	{1, 0, white, -1,  1, -1},  -- 3
	{1, 1, white, -1,  1,  1},  -- 7

	{0, 0, white, -1, -1, -1},  -- 0
	{1, 1, white, -1,  1,  1},  -- 7
	{0, 1, white, -1, -1,  1},  -- 4

	{0, 0, white, -1,  1, -1},  -- 0
	{1, 0, white,  1,  1, -1},  -- 1
	{1, 1, white,  1,  1,  1},  -- 2

	{0, 0, white, -1,  1, -1},  -- 0
	{1, 1, white,  1,  1,  1},  -- 2
	{0, 1, white, -1,  1,  1},  -- 3

	--{0, 0, white, -1, -1, -1},  -- 4
	--{1, 0, white, -1, -1,  1},  -- 7
	--{1, 1, white,  1, -1,  1},  -- 6

	--{0, 0, white, -1, -1, -1},  -- 4
	--{1, 1, white,  1, -1,  1},  -- 6
	--{0, 1, white,  1, -1, -1},  -- 5
}

--------------------------------------------

cubefront = {
	{0, 0, white, -1, -1,  1},  -- 0
	{1, 0, white, -1,  1,  1},  -- 4
	{1, 1, white,  1,  1,  1},  -- 5

	{0, 0, white, -1, -1,  1},  -- 0
	{1, 1, white,  1,  1,  1},  -- 5
	{0, 1, white,  1, -1,  1},  -- 1

	--{0, 0, white, -1, -1, -1},  -- 3
	--{1, 0, white,  1, -1, -1},  -- 2
	--{1, 1, white,  1,  1, -1},  -- 6

	--{0, 0, white, -1, -1, -1},  -- 3
	--{1, 1, white,  1,  1, -1},  -- 6
    --{0, 1, white, -1,  1, -1},  -- 7

	----
	--{0, 0, white,  1, -1, -1},  -- 0
	--{2, 0, white,  1, -1,  1},  -- 3
	--{2, 2, white,  1,  1,  1},  -- 7

	--{0, 0, white,  1, -1, -1},  -- 0
	--{2, 2, white,  1,  1,  1},  -- 7
	--{0, 2, white,  1,  1, -1},  -- 4

	--{0, 0, white, -1, -1, -1},  -- 0
	--{2, 0, white, -1,  1, -1},  -- 3
	--{2, 2, white, -1,  1,  1},  -- 7

	--{0, 0, white, -1, -1, -1},  -- 0
	--{2, 2, white, -1,  1,  1},  -- 7
	--{0, 2, white, -1, -1,  1},  -- 4
	----
	--{0, 0, white, -1,  1, -1},  -- 0
	--{2, 0, white,  1,  1, -1},  -- 1
	--{2, 2, white,  1,  1,  1},  -- 2

	--{0, 0, white, -1,  1, -1},  -- 0
	--{2, 2, white,  1,  1,  1},  -- 2
	--{0, 2, white, -1,  1,  1},  -- 3

	--{0, 0, white, -1, -1, -1},  -- 4
	--{2, 0, white, -1, -1,  1},  -- 7
	--{2, 2, white,  1, -1,  1},  -- 6

	--{0, 0, white, -1, -1, -1},  -- 4
	--{2, 2, white,  1, -1,  1},  -- 6
	--{0, 2, white,  1, -1, -1},  -- 5
}
------------------------------------------

cubeside = {
	--{0, 0, white, -1, -1,  1},  -- 0
	--{2, 0, white, -1,  1,  1},  -- 4
	--{2, 2, white,  1,  1,  1},  -- 5

	--{0, 0, white, -1, -1,  1},  -- 0
	--{2, 2, white,  1,  1,  1},  -- 5
	--{0, 2, white,  1, -1,  1},  -- 1

	--{0, 0, white, -1, -1, -1},  -- 3
	--{2, 0, white,  1, -1, -1},  -- 2
	--{2, 2, white,  1,  1, -1},  -- 6

	--{0, 0, white, -1, -1, -1},  -- 3
	--{2, 2, white,  1,  1, -1},  -- 6
    --{0, 2, white, -1,  1, -1},  -- 7
	----
	{0, 0, white,  1, -1, -1},  -- 0
	{1, 0, white,  1, -1,  1},  -- 3
	{1, 1, white,  1,  1,  1},  -- 7

	{0, 0, white,  1, -1, -1},  -- 0
	{1, 1, white,  1,  1,  1},  -- 7
	{0, 1, white,  1,  1, -1},  -- 4

	{0, 0, white, -1, -1, -1},  -- 0
	{1, 0, white, -1,  1, -1},  -- 3
	{1, 1, white, -1,  1,  1},  -- 7

	{0, 0, white, -1, -1, -1},  -- 0
	{1, 1, white, -1,  1,  1},  -- 7
	{0, 1, white, -1, -1,  1},  -- 4
	----
	--{0, 0, white, -1,  1, -1},  -- 0
	--{2, 0, white,  1,  1, -1},  -- 1
	--{2, 2, white,  1,  1,  1},  -- 2

	--{0, 0, white, -1,  1, -1},  -- 0
	--{2, 2, white,  1,  1,  1},  -- 2
	--{0, 2, white, -1,  1,  1},  -- 3

	--{0, 0, white, -1, -1, -1},  -- 4
	--{2, 0, white, -1, -1,  1},  -- 7
	--{2, 2, white,  1, -1,  1},  -- 6

	--{0, 0, white, -1, -1, -1},  -- 4
	--{2, 2, white,  1, -1,  1},  -- 6
	--{0, 2, white,  1, -1, -1},  -- 5
}

---------------------------------------------

cubeup = {
	--{0, 0, white, -1, -1,  1},  -- 0
	--{2, 0, white, -1,  1,  1},  -- 4
	--{2, 2, white,  1,  1,  1},  -- 5

	--{0, 0, white, -1, -1,  1},  -- 0
	--{2, 2, white,  1,  1,  1},  -- 5
	--{0, 2, white,  1, -1,  1},  -- 1

	--{0, 0, white, -1, -1, -1},  -- 3
	--{2, 0, white,  1, -1, -1},  -- 2
	--{2, 2, white,  1,  1, -1},  -- 6

	--{0, 0, white, -1, -1, -1},  -- 3
	--{2, 2, white,  1,  1, -1},  -- 6
    --{0, 2, white, -1,  1, -1},  -- 7
	----
	--{0, 0, white,  1, -1, -1},  -- 0
	--{2, 0, white,  1, -1,  1},  -- 3
	--{2, 2, white,  1,  1,  1},  -- 7

	--{0, 0, white,  1, -1, -1},  -- 0
	--{2, 2, white,  1,  1,  1},  -- 7
	--{0, 2, white,  1,  1, -1},  -- 4

	--{0, 0, white, -1, -1, -1},  -- 0
	--{2, 0, white, -1,  1, -1},  -- 3
	--{2, 2, white, -1,  1,  1},  -- 7

	--{0, 0, white, -1, -1, -1},  -- 0
	--{2, 2, white, -1,  1,  1},  -- 7
	--{0, 2, white, -1, -1,  1},  -- 4
	----

	{0, 0, white, -1,  1, -1},  -- 0
	{1, 0, white,  1,  1, -1},  -- 1
	{1, 1, white,  1,  1,  1},  -- 2

	{0, 0, white, -1,  1, -1},  -- 0
	{1, 1, white,  1,  1,  1},  -- 2
	{0, 1, white, -1,  1,  1},  -- 3

	--{0, 0, white, -1, -1, -1},  -- 4
	--{1, 0, white, -1, -1,  1},  -- 7
	--{1, 1, white,  1, -1,  1},  -- 6

	--{0, 0, white, -1, -1, -1},  -- 4
    --{1, 1, white,  1, -1, -1},  -- 5
    --{0, 1, white,  1, -1, -1},  -- 5

}

-------------------------------------------

cubetest = {
	{0, 0, white, -1, -1,  1},  -- 0
	{2, 0, white, -1,  1,  1},  -- 4
	{2, 2, white,  1,  1,  1},  -- 5

	{0, 0, white, -1, -1,  1},  -- 0
	{2, 2, white,  1,  1,  1},  -- 5
	{0, 2, white,  1, -1,  1},  -- 1

	{0, 0, white, -1, -1, -1},  -- 3
	{2, 2, white,  1, -1, -1},  -- 2
	{0, 2, white,  1,  1, -1},  -- 6

	{0, 0, white, -1, -1, -1},  -- 3
	{2, 2, white,  1,  1, -1},  -- 6
    {0, 2, white, -1,  1, -1},  -- 7

	----
	{0, 0, white,  1, -1, -1},  -- 0
	{2, 0, white,  1, -1,  1},  -- 3
	{2, 2, white,  1,  1,  1},  -- 7

	{0, 0, white,  1, -1, -1},  -- 0
	{2, 2, white,  1,  1,  1},  -- 7
	{0, 2, white,  1,  1, -1},  -- 4

	{0, 0, white, -1, -1, -1},  -- 0
	{2, 0, white, -1,  1, -1},  -- 3
	{2, 2, white, -1,  1,  1},  -- 7

	{0, 0, white, -1, -1, -1},  -- 0
	{2, 2, white, -1,  1,  1},  -- 7
	{0, 2, white, -1, -1,  1},  -- 4
	----
	{0, 0, white, -1,  1, -1},  -- 0
	{2, 0, white,  1,  1, -1},  -- 1
	{2, 2, white,  1,  1,  1},  -- 2

	{0, 0, white, -1,  1, -1},  -- 0
	{2, 2, white,  1,  1,  1},  -- 2
	{0, 2, white, -1,  1,  1},  -- 3

	{0, 0, white, -1, -1, -1},  -- 4
	{2, 0, white, -1, -1,  1},  -- 7
	{2, 2, white,  1, -1,  1},  -- 6

	{0, 0, white, -1, -1, -1},  -- 4
	{2, 2, white,  1, -1,  1},  -- 6
	{0, 2, white,  1, -1, -1},  -- 5
}

--load textures

ziegel =Image.load("tex/ziegel.png")
fenster = Image.load("tex/fenster.png")
server1 = Image.load("tex/server1.png")
server2 = Image.load("tex/server2.png")
server3 = Image.load("tex/server3.png")
server4 = Image.load("tex/server3.png")
server12 = Image.load("tex/server12.png")
server22 = Image.load("tex/server22.png")
server32 = Image.load("tex/server32.png")
server42 = Image.load("tex/server3.png")
hausboden = Image.load("tex/sand.png")
hausboden2 = Image.load("tex/grass.png")
dach = Image.load("tex/dach.png")
dach2 = Image.load("tex/dach2.png")
back3 = Image.load("tex/g3.png")
lampe = Image.load("tex/lampe.png")
lampe2 = Image.load("tex/lampe2.png")
mainserver = Image.load("tex/grau.png")
Bildfunktion4 = Image.load("tex/FILE.png")



function setnew3(x,y,z,tex)

	Gu.enable(Gu.BLEND)
	Gu.blendFunc(Gu.ADD, Gu.SRC_ALPHA, Gu.ONE_MINUS_SRC_ALPHA, 0, 0)
	Gu.enable(Gu.TEXTURE_2D);
	Gu.texImage(tex)
	Gu.texFunc(Gu.TFX_MODULATE, Gu.TCC_RGBA)
	Gu.texEnvColor(white)
	Gu.texFilter(Gu.LINEAR, Gu.LINEAR)
	Gu.texScale(1, 1)
	Gu.texOffset(0, 0)
	Gu.ambientColor(white)


	Gum.matrixMode(Gu.MODEL)
	Gum.loadIdentity()
	Gum.translate(ux+x,uy+y,uz+z);
	Gum.rotateXYZ(0,0,0)

	Gum.drawArray(Gu.TRIANGLES, Gu.TEXTURE_32BITF+Gu.COLOR_8888+Gu.VERTEX_32BITF+Gu.TRANSFORM_3D, cube3)

end

-------------------------------------------------------------------------------------------------------------

function setnewobjekt2(x,y,z,tex)

	Gu.enable(Gu.BLEND)
	Gu.blendFunc(Gu.ADD, Gu.SRC_ALPHA, Gu.ONE_MINUS_SRC_ALPHA, 0, 0)
	Gu.enable(Gu.TEXTURE_2D);
	Gu.texImage(tex)
	Gu.texFunc(Gu.TFX_MODULATE, Gu.TCC_RGBA)
	Gu.texEnvColor(white)
	Gu.texFilter(Gu.LINEAR, Gu.LINEAR)
	Gu.texScale(1, 1)
	Gu.texOffset(0, 0)
	Gu.ambientColor(white)


	Gum.matrixMode(Gu.MODEL)
	Gum.loadIdentity()
	Gum.translate(ux+x,uy+y,uz+z);
    Gum.rotateXYZ(0, val * 0.98 * (Gu.PI/180.0), 0)
	Gum.drawArray(Gu.TRIANGLES, Gu.TEXTURE_32BITF+Gu.COLOR_8888+Gu.VERTEX_32BITF+Gu.TRANSFORM_3D, cube)

end

function setnewfront(x,y,z,tex)

	Gu.enable(Gu.BLEND)
	Gu.blendFunc(Gu.ADD, Gu.SRC_ALPHA, Gu.ONE_MINUS_SRC_ALPHA, 0, 0)
	Gu.enable(Gu.TEXTURE_2D);
	Gu.texImage(tex)
	Gu.texFunc(Gu.TFX_MODULATE, Gu.TCC_RGBA)
	Gu.texEnvColor(white)
	Gu.texFilter(Gu.LINEAR, Gu.LINEAR)
	Gu.texScale(1, 1)
	Gu.texOffset(0, 0)
	Gu.ambientColor(white)


	Gum.matrixMode(Gu.MODEL)
	Gum.loadIdentity()
	Gum.translate(ux+x,uy+y,uz+z);
	Gum.rotateXYZ(0,0,0)

	Gum.drawArray(Gu.TRIANGLES, Gu.TEXTURE_32BITF+Gu.COLOR_8888+Gu.VERTEX_32BITF+Gu.TRANSFORM_3D, cubefront)

end
--------------------------------------------

function setnewobjekt(x,y,z,tex)

	Gu.enable(Gu.BLEND)
	Gu.blendFunc(Gu.ADD, Gu.SRC_ALPHA, Gu.ONE_MINUS_SRC_ALPHA, 0, 0)
	Gu.enable(Gu.TEXTURE_2D);
	Gu.texImage(tex)
	Gu.texFunc(Gu.TFX_MODULATE, Gu.TCC_RGBA)
	Gu.texEnvColor(white)
	Gu.texFilter(Gu.LINEAR, Gu.LINEAR)
	Gu.texScale(1, 1)
	Gu.texOffset(0, 0)
	Gu.ambientColor(white)


	Gum.matrixMode(Gu.MODEL)
	Gum.loadIdentity()
	Gum.translate(ux+x,uy+y,uz+z);
	Gum.rotateXYZ(0, val * 0.98 * (Gu.PI/180.0), 0)
	Gum.drawArray(Gu.TRIANGLES, Gu.TEXTURE_32BITF+Gu.COLOR_8888+Gu.VERTEX_32BITF+Gu.TRANSFORM_3D, cube)

end
--------------------------------------------------

function setnewside(x,y,z,tex)

	Gu.enable(Gu.BLEND)
	Gu.blendFunc(Gu.ADD, Gu.SRC_ALPHA, Gu.ONE_MINUS_SRC_ALPHA, 0, 0)
	Gu.enable(Gu.TEXTURE_2D);
	Gu.texImage(tex)
	Gu.texFunc(Gu.TFX_MODULATE, Gu.TCC_RGBA)
	Gu.texEnvColor(white)
	Gu.texFilter(Gu.LINEAR, Gu.LINEAR)
	Gu.texScale(1, 1)
	Gu.texOffset(0, 0)
	Gu.ambientColor(white)


	Gum.matrixMode(Gu.MODEL)
	Gum.loadIdentity()
	Gum.translate(ux+x,uy+y,uz+z);
	Gum.rotateXYZ(0,0,0)

	Gum.drawArray(Gu.TRIANGLES, Gu.TEXTURE_32BITF+Gu.COLOR_8888+Gu.VERTEX_32BITF+Gu.TRANSFORM_3D, cubeside)

end
------------------------------------------------

function setnewdach(x,y,z,tex)

	Gu.enable(Gu.BLEND)
	Gu.blendFunc(Gu.ADD, Gu.SRC_ALPHA, Gu.ONE_MINUS_SRC_ALPHA, 0, 0)
	Gu.enable(Gu.TEXTURE_2D);
	Gu.texImage(tex)
	Gu.texFunc(Gu.TFX_MODULATE, Gu.TCC_RGBA)
	Gu.texEnvColor(white)
	Gu.texFilter(Gu.LINEAR, Gu.LINEAR)
	Gu.texScale(1, 1)
	Gu.texOffset(0, 0)
	Gu.ambientColor(white)


	Gum.matrixMode(Gu.MODEL)
	Gum.loadIdentity()
	Gum.translate(ux+x,uy+y,uz+z);
    Gum.rotateXYZ(rotate * (Gu.PI/180.0),0,0)
    Gum.rotateXYZ(0,rotate2 * (Gu.PI/180.0),0)
    Gum.rotateXYZ(0,0,rotate3 * (Gu.PI/180.0))

	Gum.drawArray(Gu.TRIANGLES, Gu.TEXTURE_32BITF+Gu.COLOR_8888+Gu.VERTEX_32BITF+Gu.TRANSFORM_3D, cubeup)

end
------------------------------------------------

nw = 0
nz = 0
cx = 0
cy = 0
cz = 0
cvx =0
cvy = -2
cvz = 0
h = 0
superdupa =0 
c = 1000

tx = 6
ty = 0
tz = -4

while true do
timer = timer + 1
bildtimer = bildtimer + 1
System.setcpuspeed("333")
val = val + 9
ti = ti + 2
stereo = stereo + 1
server = server + 1



	Gu.start3d()

	-- clear screen
    Gu.clearDepth(0);
	Gu.clear(Gu.COLOR_BUFFER_BIT+Gu.DEPTH_BUFFER_BIT)

	-- setup projection and view matrices

	Gum.matrixMode(Gu.PROJECTION)
	Gum.loadIdentity()
	Gum.perspective(75, 16/9, 0.5, c)

	Gum.matrixMode(Gu.VIEW)
	Gum.loadIdentity()

	-- setup matrix for triangle
	Gum.matrixMode(Gu.MODEL)
	Gum.loadIdentity()
	Gum.translate(0,0, -3);

	-- draw triangle without texture

	Gu.enable(Gu.TEXTURE_2D)

	-- setup texture



for h = -4,4 do 
hx =h*2

---- Boden und Dach --------  
  

  -- Vorgarten
  

  
  -------------------------------

  
  -- Haus Innen

  if licht == "an" then
  setnewup(hx,-2,-20,hausboden2)
  setnewup(hx,-2,-22,hausboden2)
  setnewup(hx,-2,-24,hausboden2)
  setnewup(hx,-2,-26,hausboden2)
  setnewup(hx,-2,-28,hausboden2)
  setnewup(hx,-2,-30,hausboden2)
  setnewup(hx,-2,-32,hausboden2)
  elseif licht == "aus" then
  setnewup(hx,-2,-20,hausboden)
  setnewup(hx,-2,-22,hausboden)
  setnewup(hx,-2,-24,hausboden)
  setnewup(hx,-2,-26,hausboden)
  setnewup(hx,-2,-28,hausboden)
  setnewup(hx,-2,-30,hausboden)
  setnewup(hx,-2,-32,hausboden)
  end
  
  if licht == "an" then
  setnewdach(hx,6,-20,dach)
  setnewdach(hx,6,-22,dach)
  setnewdach(hx,6,-24,dach)
  setnewdach(hx,6,-26,dach)
  setnewdach(hx,6,-28,dach)
  setnewdach(hx,6,-30,dach)
  setnewdach(hx,6,-32,dach)
  elseif licht == "aus" then
  setnewdach(hx,6,-20,dach2)
  setnewdach(hx,6,-22,dach2)
  setnewdach(hx,6,-24,dach2)
  setnewdach(hx,6,-26,dach2)
  setnewdach(hx,6,-28,dach2)
  setnewdach(hx,6,-30,dach2)
  setnewdach(hx,6,-32,dach2)
  end
  
  --setnewdach(hx,6,-34,dach)
  --setnewdach(hx,6,-36,dach)
  --setnewdach(hx,6,-38,dach)
 
end


for h = -4,4 do 
hx =h*2


  --setnewup(hx,-2,-34,hausboden)
  --setnewup(hx,-2,-36,hausboden)
  --setnewup(hx,-2,-38,hausboden)
  
  end



for superdupa = 0,2 do 
super =superdupa*2

	
------------- Wnde -------------------
 
 if server == 1 then
 setnewside(-10,0,-26,server12)
 setnewside(-10,0,-29,server12)
 setnewside(-10,2,-26,server32)
 setnewside(-10,2,-29,server32)
 
 setnewside(10,0,-26,server2)
 setnewside(10,0,-29,server3)
 setnewside(10,2,-26,server1)
 setnewside(10,2,-29,server4)
 
 setnewfront(2,0,-34,server1)
 setnewfront(6,0,-34,server4)
 setnewfront(2,2,-34,server2)
 setnewfront(6,2,-34,server3)
 
 setnewfront(-6,0,-34,server4)
 setnewfront(-6,2,-34,server3)
 setnewfront(-2,0,-31.9,server1)
 setnewfront(-2,2,-31.9,server2)
 
 --setnewside(10,0,-34,server4)
 --setnewside(10,2,-34,server2)
 --setnewside(10,0,-34,server1)
 --setnewside(10,2,-34,server1)
 
 elseif server == 2 then
 
 setnewside(-10,0,-26,server12)
 setnewside(-10,0,-29,server22)
 setnewside(-10,2,-26,server22)
 setnewside(-10,2,-29,server12)
 
 setnewside(10,0,-26,server1)
 setnewside(10,0,-29,server4)
 setnewside(10,2,-26,server2)
 setnewside(10,2,-29,server3)
 
 setnewfront(2,0,-34,server3)
 setnewfront(6,0,-34,server3)
 setnewfront(2,2,-34,server2)
 setnewfront(6,2,-34,server1)
 
 setnewfront(-6,0,-34,server3)
 setnewfront(-6,2,-34,server1)
 setnewfront(-2,0,-31.9,server3)
 setnewfront(-2,2,-31.9,server2)
 
 --setnewside(10,0,-34,server3)
 --setnewside(10,2,-34,server1)
 --setnewside(10,0,-34,server4)
 --setnewside(10,2,-34,server2)
 
 elseif server == 3 then
 
 setnewside(-10,0,-26,server22)
 setnewside(-10,0,-29,server12)
 setnewside(-10,2,-26,server12)
 setnewside(-10,2,-29,server32)
 
 setnewside(10,0,-26,server3)
 setnewside(10,0,-29,server2)
 setnewside(10,2,-26,server4)
 setnewside(10,2,-29,server1)
 
 setnewfront(2,0,-34,server3)
 setnewfront(6,0,-34,server2)
 setnewfront(2,2,-34,server4)
 setnewfront(6,2,-34,server1)
 
 setnewfront(-6,0,-34,server2)
 setnewfront(-6,2,-34,server1)
 setnewfront(-2,2,-31.9,server4)
 setnewfront(-2,0,-31.9,server3)
 
 --setnewside(10,0,-34,server1)
 --setnewside(10,2,-34,server3)
 --setnewside(10,0,-34,server3)
 --setnewside(10,2,-34,server2)
 
 elseif server == 4 then
 
 setnewside(-10,0,-26,server22)
 setnewside(-10,0,-29,server32)
 setnewside(-10,2,-26,server12)
 setnewside(-10,2,-29,server12)
 
 setnewside(10,0,-26,server1)
 setnewside(10,0,-29,server2)
 setnewside(10,2,-26,server3)
 setnewside(10,2,-29,server4)
 
 setnewfront(2,0,-34,server4)
 setnewfront(6,0,-34,server3)
 setnewfront(2,2,-34,server2)
 setnewfront(6,2,-34,server1)
 
 setnewfront(-6,0,-34,server3)
 setnewfront(-6,2,-34,server1)
 setnewfront(-2,2,-31.9,server2)
 setnewfront(-2,0,-31.9,server4)
 
 --setnewside(10,0,-34,server3)
 --setnewside(10,2,-34,server1)
 --setnewside(10,0,-34,server4)
 --setnewside(10,2,-34,server1)
 end
 
 if server == 5 then
 server = 1 
 end 


 if licht == "an" then
 setnewdach(3,5.9,-30,lampe)
 setnewdach(3,5.9,-26,lampe)
 setnewdach(-3,5.9,-30,lampe)
 setnewdach(-3,5.9,-26,lampe)
 elseif licht == "aus" then
 setnewdach(3,5.9,-30,lampe2)
 setnewdach(3,5.9,-26,lampe2)
 setnewdach(-3,5.9,-30,lampe2)
 setnewdach(-3,5.9,-26,lampe2)
 end
 
 setnew(-2,0,-32,mainserver)
 setnew(-2,2,-32,mainserver)
 
end
    
	pad = Controls.read()
	


	
	Gu.end3d()



uxp = ux*4

if licht == "an" then
screen:blit(uxp,0,back,true)
screen:blit(960-uxp,0,back,true)
screen:blit(-480+uxp,0,back,true)
elseif licht == "aus" then
screen:blit(uxp,0,back3,true)
screen:blit(960-uxp,0,back3,true)
screen:blit(-480+uxp,0,back3,true)
end

----------- Positions Konsole --------------

--screen:print(1,1,"rotate 1:"..rotate,red)
--screen:print(1,10,"rotate 2:"..rotate2,red)
--screen:print(1,20,"rotate 3:"..rotate3,red)
--screen:print(1,30,"ux:"..ux,red)
--screen:print(1,40,"uy:"..uy,red)
--screen:print(1,50,"uz:"..uz,red)


--------------------------------------------
	 
		

if pad:select() then screen:save("game"..number..".png") number =number+1 end



dx = pad:analogX()
dy = pad:analogY()
if dx > 70 then
ux = ux - (math.abs(pad:analogX())/200)
end

if dx < -70 then
ux = ux + (math.abs(pad:analogX())/200)
end

if dy > 70 then
uz = uz - (math.abs(pad:analogY())/200)
end

if dy < -70 then
uz = uz + (math.abs(pad:analogY())/200)
end



------ Kollisionen und Ereignisbezogene Interaktionen ---------

if pad:triangle() and timer > 10 and licht == "an" then
licht = "aus"
timer = 0
elseif pad:triangle() and timer > 10 and licht == "aus" then
licht = "an"
timer = 0
end


--if uz > 36.6 then
--uz = 36.6
--end

if uz < 18.4 then
uz = 18.4
end

if ux > 8 then
ux = 8
end

if ux < -8 then
ux = -8
end

if uz > 29.6 then
uz = 29.6
end


if pad:square() then
--System.memclean()
back3 = nil
dofile("Serverraum.lua")
end


if uz == 29.6 and ux > 3.3 then
couch = nil
a1 = nil
a2 = nil
a3 = nil
a4 = nil
a5 = nil
f1 = nil
f2 = nil
f3 = nil
wandbild2 = nil
wandbild3 = nil
Bildfunktion4 = nil
dofile("Bistro.lua")
--require "Leereraum"
--System.memclean()
end

--if uz == 29.6 and ux > -8 then
--couch = nil
--a1 = nil
--server1 = nil
--server2 = nil
--server3 = nil
--server4 = nil
--server12 = nil
--server22 = nil
--server32 = nil
--server42 = nil
--System.memclean()
--dofile("Spieleraum.lua")
--require "Spieleraum"
--end

if uz == 18.4 then
couch = nil
System.memclean()
a1 = nil
a2 = nil
a3 = nil
a4 = nil
a5 = nil
f1 = nil
f2 = nil
f3 = nil
wandbild2 = nil
wandbild3 = nil
Bildfunktion3 = nil
dofile("Bistro.lua")
--require "Ubergang 2-3"
end

--if uz == 29.6 and ux == 0 then
--dofile("toilette.lua")
--end


--if uz > 27 then
--screen:blit(140,50,Bildfunktion4,false)
--end


--if uz > 27 and pad:triangle() then
--server1 = nil
--server2 = nil
--server3 = nil
--server4 = nil
--server12 = nil
--server22 = nil
--server32 = nil
--server42 = nil
--hausboden = nil
--hausboden2 = nil
--dach = nil
--dach2 = nil
--back3 = nil
--lampe = nil
--lampe2 = nil
--mainserver = nil
--Bildfunktion4 = nil
--screen:clear()
--dofile("FILE/FILE.lua")
--end

if pad:cross() then
Plan12 = Image.load("tex/Plan12.png")
screen:blit(0,0,Plan12,false)
end

if not pad:cross() then
Plan12 = nil
end

screen.waitVblankStart()
screen.flip()
end



